# Update the desktop database:
if [ -x usr/bin/update-desktop-database ]; then
  chroot . /usr/bin/update-desktop-database usr/share/applications > /dev/null 2>&1
fi

# Update hicolor theme cache:
if [ -d usr/share/icons/hicolor ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    chroot . /usr/bin/gtk-update-icon-cache -f -t usr/share/icons/hicolor 1> /dev/null 2> /dev/null
  fi
fi

# Update the mime database:
if [ -x usr/bin/update-mime-database ]; then
  chroot . /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

( cd usr/lib64 ; rm -rf libkopete.so.1 )
( cd usr/lib64 ; ln -sf libkopete.so.1.0.0 libkopete.so.1 )
( cd usr/lib64 ; rm -rf libkopete.so )
( cd usr/lib64 ; ln -sf libkopete.so.1 libkopete.so )
( cd usr/lib64 ; rm -rf libkopete_videodevice.so.0 )
( cd usr/lib64 ; ln -sf libkopete_videodevice.so.0.0.0 libkopete_videodevice.so.0 )
( cd usr/lib64 ; rm -rf libkopete_videodevice.so )
( cd usr/lib64 ; ln -sf libkopete_videodevice.so.0 libkopete_videodevice.so )
( cd usr/lib64 ; rm -rf libkopete_oscar.so.2 )
( cd usr/lib64 ; ln -sf libkopete_oscar.so.2.0.0 libkopete_oscar.so.2 )
( cd usr/lib64 ; rm -rf libkopete_oscar.so )
( cd usr/lib64 ; ln -sf libkopete_oscar.so.2 libkopete_oscar.so )
( cd usr/lib64 ; rm -rf librss.so.1 )
( cd usr/lib64 ; ln -sf librss.so.1.0.0 librss.so.1 )
( cd usr/lib64 ; rm -rf librss.so )
( cd usr/lib64 ; ln -sf librss.so.1 librss.so )
